<template>
  <q-page class="flex flex-center">
    <q-card class="my-card">
      <q-card-section>
        <q-form @submit="onSubmit" @reset="onReset" class="q-gutter-md">
          <q-input
            filled
            v-model="usuario.nome"
            label="Usuario*"
            hint="Digite seu login"
            lazy-rules
            :rules="[val => (val && val.length > 0) || 'Campo obrigatorio']"
          />

          <q-input
            v-model="usuario.senha"
            filled
            label="Senha*"
            type="password"
            hint="Sua senha"
            :rules="[val => (val && val.length > 0) || 'Campo obrigatorio']"
          />

          <div>
            <q-btn label="Logar" type="submit" color="primary" @click="logar" />
            <q-btn
              @click="limpar"
              label="Reset"
              type="reset"
              color="primary"
              flat
              class="q-ml-sm"
            />
          </div>
        </q-form>
      </q-card-section>
    </q-card>
  </q-page>
</template>

<script>
export default {
  name: "PageIndex",
  data() {
    return {
      usuarios: [],
      usuario: {
        nome: null,
        senha: null
      }
    };
  },
  methods: {
    logar() {
      if (this.usuario.nome == "admin" && this.usuario.senha == 102030) {
        debugger;
        this.$router.push("cadastro");
      } else {
        alert("Dados invalidos");
        this.limpar();
      }
    },
    limpar() {
      this.usuario = {};
    },
    GoToFilter() {
      this.$router.push("lista");
    }
  }
};
</script>
